update site.md
Update Site
Infra API · Sites
PATCH https://app.mk.io/api/v1/projects/{project_name}/infra/sites/{name}
Update a site. To learn more about sites, read Site Concept.
RBAC Capability Required: infra.site.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Request body
Content type: application/json
metadata· object · Optional — Resource metadata.displayName· string · Optional · 1-255 characters — A human-readable name for the resource.labels· map from strings to string · Optional — A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
spec· object · Optional — Site specification.geolocation· object · Optional — Optional geolocation data for the site.coordinates· list of doubles · Required · 0-2 items — Co-ordinates that describe the geolocation (ISO 6709), an array of two floating point numbers [latitude(North - South), longitude(East - West)]. Set an empty array to clear the geolocation.- Array items (double):
routes· list of objects · Optional — The routes that connect the network to <glossary:site>s.- Array items (object):
defaultTransport· object · Optional — Settings used to influence the <glossary:transport> that the system will automatically select when it needs to send <glossary:content> from one <glossary:flow> to another flow. The default transport settings from the route on which the content enters the network are used to select and configure the transport for the content. Read Default transports to learn more.cidr· string · Optional · _Defaults to _ — The IP address range to choose from when the system automatically creates transport settings for sending content from one flow to another. If a specific IP/URL (such as a public cloud IP or a fleet device IP) is required to send content between flows, then this setting will be ignored.type· enum · Required — The type of <glossary:transport> to use for sending content from one flow to another flow.- Allowed values:
Auto,SRTListener,SRTCaller,UDP,RISTListener
- Allowed values:
networkName· string · Required · pattern: ^a-z0-9?$ — The name of the <glossary:network> connected to the site by this route.
- Array items (object):
Example request
curl -X PATCH "https://app.mk.io/api/v1/projects/{project_name}/infra/sites/{name}" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"metadata": {
"displayName": "string",
"labels": {
"key": "string"
}
},
"spec": {
"geolocation": {
"coordinates": [
0
]
},
"routes": [
{
"defaultTransport": {
"cidr": "239.0.0.1/24",
"type": "UDP"
},
"networkName": "internet"
}
]
}
}'
Responses
200 — The updated site
kind· string · Required — The kind of record.metadata· object · Required — Site metadata.created· string · Optional · format: date-time — The time when the resource was createdcreatedBy· string · Optional · format: uuid — ID of the user who created the resourcecreatedByEmail· string · Optional — Email of the user who created the resourcedisplayName· string · Optional — The display name of the resourceid· string · Required · format: uuid — The ID of the resourcelabels· map from strings to string · Optional — A dictionary of labels associated with the resource[any key]· string — map of additional properties
name· string · Optional — The name of the resourceupdated· string · Optional · format: date-time — The time when the resource was last updatedupdatedBy· string · Optional · format: uuid — ID of the user who last updated the resourceupdatedByEmail· string · Optional — Email of the user who last updated the resource
spec· object · Required — Site specification.geolocation· object · Optional — Optional geolocation data for the site.coordinates· list of doubles · Required · 0-2 items — Co-ordinates that describe the geolocation (ISO 6709), an array of two floating point numbers [latitude(North - South), longitude(East - West)]. Set an empty array to clear the geolocation.- Array items (double):
routes· list of objects · Optional — The routes that connect the network to <glossary:site>s.- Array items (object):
defaultTransport· object · Optional — Settings used to influence the <glossary:transport> that the system will automatically select when it needs to send <glossary:content> from one <glossary:flow> to another flow. The default transport settings from the route on which the content enters the network are used to select and configure the transport for the content. Read Default transports to learn more.cidr· string · Optional · _Defaults to _ — The IP address range to choose from when the system automatically creates transport settings for sending content from one flow to another. If a specific IP/URL (such as a public cloud IP or a fleet device IP) is required to send content between flows, then this setting will be ignored.type· enum · Required — The type of <glossary:transport> to use for sending content from one flow to another flow.- Allowed values:
Auto,SRTListener,SRTCaller,UDP,RISTListener
- Allowed values:
networkName· string · Required · pattern: ^a-z0-9?$ — The name of the <glossary:network> connected to the site by this route.
- Array items (object):
status· object · Required — Site status.locationDisplayName· string · Optional · <=255 characters — Display name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.locationName· string · Optional · pattern: ^a-z0-9?$ — Name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.owner· enum · Required — Indicates whether the site was automatically created by the system. System owned sites cannot be deleted, but they can be modified. To learn more, read System owned sites.- Allowed values:
User,System
- Allowed values:
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: infrastructure-api · operationId: [patch]_/api/v1/projects/{project_name}/infra/sites/{name}